Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.ruleflow.core.factory
Class SplitFactory

    java.lang.Object
      org.jbpm.ruleflow.core.factory.NodeFactory
          org.jbpm.ruleflow.core.factory.SplitFactory

    public class SplitFactory

extends NodeFactory

Field Summary

Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory
`nodeContainerFactory`

Constructor Summary
`SplitFactory(RuleFlowNodeContainerFactory nodeContainerFactory, NodeContainer nodeContainer, long id)`

Method Summary
`SplitFactory` | `constraint(long toNodeId, String name, String type, String dialect, String constraint)`
`SplitFactory` | `constraint(long toNodeId, String name, String type, String dialect, String constraint, int priority)`
`protected Node` | `createNode()`
`protected Split` | `getSplit()`
`SplitFactory` | `name(String name)`
`SplitFactory` | `type(int type)`

Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory
`done, getNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SplitFactory

    public SplitFactory(RuleFlowNodeContainerFactory nodeContainerFactory,
                        NodeContainer nodeContainer,
                        long id)

Method Detail

### createNode

    protected Node createNode()

  Specified by:
    `createNode` in class `NodeFactory`

### getSplit

    protected Split getSplit()

### name

    public SplitFactory name(String name)

### type

    public SplitFactory type(int type)

### constraint

    public SplitFactory constraint(long toNodeId,
                                   String name,
                                   String type,
                                   String dialect,
                                   String constraint)

### constraint

    public SplitFactory constraint(long toNodeId,
                                   String name,
                                   String type,
                                   String dialect,
                                   String constraint,
                                   int priority)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.